import request from '@/utils/request';
// 初始化list
export function getList(query) {
  return request({
    url: '/basedata/station/list',
    method: 'get',
    params: query
  })
}
// 删除
export function postRemove(query) {
  return request({
    url: `/basedata/station/remove/${query}`,
    method: 'post',
    // params: query
  })
}
// 新增
export function postAdd(query) {
  return request({
    url: '/basedata/station',
    method: 'post',
    data: query
  })
}
// 产站类型
export function stationType(query) {
  return request({
    url: '/system/dict/data/type/station_type',
    method: 'get',
  })
}
// 编辑查询
export function getItem(query) {
  return request({
    url: `/basedata/station/${query}`,
    method: 'get',
  })
}
// 编辑
export function edit(query) {
  return request({
    url: `/basedata/station/edit`,
    method: 'post',
    data: query
  })
}
// 导出
export function Export(query) {
  return request({
    url: `/basedata/station/export`,
    method: 'post',
    data: query
  })
}